<?php

require_once "../../../app/model/db.class.php";

function descrip($tabla,$cod){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function descrip2($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         $obj->disconnect();
         return $rs['descripcion'];
    }

function jornada($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);
         
         
        $result2=$obj->consulta("select * from jornadas where codigo='".$rs['jornada']."' ;");
        $rs2=$obj->fetch_assoc($result2);
        $obj->disconnect();

        $info[]=$rs['jornada'];
        $info[]=$rs2['descripcion'];

        return $info;
    }

  function sede($tabla,$cod,$grado){
         $obj = new database();
         $obj->conectar(); $obj->consulta("set names 'utf8'");
         $result=$obj->consulta("select * from ".$tabla." where codigo='".$cod."' and grado='".$grado."';");
         $rs=$obj->fetch_assoc($result);


        $result2=$obj->consulta("select * from sedes where codigo='".$rs['sede']."' ;");
        $rs2=$obj->fetch_assoc($result2);
        $obj->disconnect();

        $info[]=$rs['sede'];
        $info[]=$rs2['descripcion'];

        return $info;
    }

if ($_REQUEST['accion']=='info_comp_codigo'){

    $obj = new database();

    $codigo=$_REQUEST['codigo'];

    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    
    $resultado=$obj->consulta("select * from matriculas where codigo='".$codigo."' and estado='A';");
    $row=$obj->fetch_assoc($resultado);


    header("Content-type:text/xml");
    $textoXML= "<?xml version='1.0' encoding='ISO-8859-1'?>";
    if($obj->numero_de_filas($resultado)<>0)
    {
     $infoper=$obj->consulta("select * from alumnos where codigo='".$codigo."'");
     $datos=$obj->fetch_assoc($infoper);

     $textoXML.="<datos>";
     $textoXML.="<nombre>".($datos['p_apellido']." ".$datos['s_apellido']." ".$datos['p_nombre']." ".$datos['s_nombre'])."</nombre>";
     $textoXML.="<codg>".$row['grado']."</codg>";
     $textoXML.="<txcodg>".descrip('grados', $row['grado'])."</txcodg>";
     $textoXML.="<codc>".$row['curso']."</codc>";
     $textoXML.="<txcodc>".descrip2('cursos',$row['curso'], $row['grado'])."</txcodc>";

     $jonada=jornada('cursos',$row['curso'], $row['grado']);
     $textoXML.="<codjor>".$jonada[0]."</codjor>";
     $textoXML.="<desjor>".$jonada[1]."</desjor>";


     $sede=sede('cursos',$row['curso'], $row['grado']);
     $textoXML.="<codsed>".$sede[0]."</codsed>";
     $textoXML.="<dessed>".$sede[1]."</dessed>";

     $textoXML.="</datos>";


    }else{
     $textoXML.="<datos>no</datos>";
    }

    echo $textoXML;

   

}


if ($_REQUEST['accion']=='generar_leyenda'){

    $per=$_REQUEST["per"]; 
    $desper=$_REQUEST["desper"];
    $cod=$_REQUEST["cod"];
    $descod=$_REQUEST["descod"];
    $grad=$_REQUEST["grad"];
    $desgras=$_REQUEST["desgras"];
    $cur=$_REQUEST["cur"];
    $descur=$_REQUEST["descur"];
    $jor=$_REQUEST["jor"];
    $desjor=$_REQUEST["desjor"];
    $sede=$_REQUEST["sede"];
    $dessede=$_REQUEST["dessede"];

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    
    $query=$obj->consulta("select * from alumnos where codigo='".$cod."';");


    if($ob->numero_de_filas($query) > 0) // existe -> datos correctos
    {
         $data= $obj->fetch_assoc($query);
    }


    //-----------------------------
    $infogrado=$obj->consulta("select * from grados where codigo='".$grad."';");

    if($ob->numero_de_filas($infogrado) > 0) // existe -> datos correctos
    {
      $grado = $obj->fetch_assoc($infogrado);
    }

    $nivel=($grado['nivel']);

    if ($grad==10 || $grad==11){

        if ($cur==1 || $cur==3)
            $nivel='nivel Acad&eacute;mico de Educaci&oacute;n Media';

        if ($cur==2)
            $nivel='nivel T&eacute;cnico de Educaci&oacute;n Media';

    }


    //--------------------------------
     $infocur=$obj->consulta("select * from cursos where grado='".$grad."' and codigo='".$cur."';");

    if($ob->numero_de_filas($infocur) > 0) // existe -> datos correctos
    {
      $curso = $obj->fetch_assoc($infocur);
    }

    $infjor=$obj->consulta("select * from jornadas where codigo='".$curso['jornada']."';");

    if($ob->numero_de_filas($infjor) > 0) // existe -> datos correctos
    {
      $jornada = $obj->fetch_assoc($infjor);
    }

    $brleyen=$obj->consulta('truncate table constancia');


    $leyen="Que: ".($descod);


    if($data['sexo']=='F'){
        $leyen.=" identificada con  ";
    }else{
        $leyen.=" identificado con  ";
    }
    
    if($data['tipodoc']=='1'){
        
        $leyen.="C&eacute;dula De Ciudadan&iacute;a No.";
        
    }else if($data['tipodoc']=='2'){
        
        $leyen.="Tarjeta de Identidad No.";
        
    }else if($data['tipodoc']=='3'){
        
        $leyen.="C&eacute;dula de Extranger&iacute;a No.";
            
    }else if($data['tipodoc']=='5'){
        
        $leyen.="Registro Civil de Nacimiento No.";
        
    }else if($data['tipodoc']=='6'){
        
        $leyen.="No. de Identificaci&oacute;n Personal(NIP) No.";

    }else if($data['tipodoc']=='7'){

        $leyen.="No. &uacute;nico de Identificaci&oacute;n Personal(NUIP) No.";
    }
    
    $leyen.=' '.$data['nodoc'];

    $leyen.=" de ".$data['mcpioexped']." - ".$data['dptoexped'].", es estudiante de esta Instituci&oacute;n Educativa y en la actualidad cursa el grado ".$desgras." correspondiente al ".$nivel." en la jornada ".($jornada['descripcion'])." del periodo ".$per.' del a&ntilde;o '.date('Y');

    $leyen.=".";
    echo $leyen;

    $obj->disconnect();
}


if ($_REQUEST['accion']=='guardar_constancia'){

    $destino=$_REQUEST['destino'];
    $leyen=$_REQUEST['leyenda'];

    //echo 'destino: '.$destino.'     leyenda: '.$leyen;

    $obj = new database();
    $obj->conectar(); $obj->consulta("set names 'utf8'");
    $resultado=$obj->consulta("insert into constancia (leyenda,destino) values('".($leyen)."','".($destino)."');");
    $obj->disconnect();
}

?>